/**
 * @overview Life of German Reallife - Gui Introduction
 * @author MichaPlays
 * @copyright (c) 2008 - 2021 Life of German
 */

export default function Introduction(globalData: IGlobalData): void {

    var IntroductionBrowser: BrowserMp = null;

    mp.events.add("showIntroduction", () => {

        if (IntroductionBrowser !== null) {
            IntroductionBrowser.destroy();
            IntroductionBrowser = null;
            globalData.InMenu = false;
            mp.gui.cursor.show(false, false);
            mp.gui.chat.activate(true);
        }
        else if (!globalData.InMenu) {
            globalData.InMenu = true;
            IntroductionBrowser = mp.browsers.new('package://assets/html/Introduction/Introduction.html');
            mp.gui.chat.activate(false);
            mp.gui.cursor.show(true, true);
 
        }
    });

    mp.events.add("removeIntroduction", () => {

        if (IntroductionBrowser == null) {
            return;
        }
        else if (globalData.InMenu) {
            IntroductionBrowser.destroy();
            IntroductionBrowser = null;
            globalData.InMenu = false;
            mp.gui.cursor.show(false, false);
            mp.gui.chat.activate(true);

        }
    });

}